hwy::ChosenTarget Struct Reference

`#include <targets.h>`

## Public Member Functions

void | Update (int64_t targets)
void | DeInit ()
bool | IsInitialized () const
size_t HWY_INLINE | GetIndex () const

## Private Member Functions

int64_t | LoadMask () const
void | StoreMask (int64_t mask)

## Private Attributes

std::atomic< int64_t > | mask_ {1}

## Member Function Documentation

## DeInit()

void hwy::ChosenTarget::DeInit | ( |  | ) |

inline

References StoreMask().

## GetIndex()

size_t HWY_INLINE hwy::ChosenTarget::GetIndex | ( |  | ) | const

inline

References HWY_CHOSEN_TARGET_MASK_TARGETS, LoadMask(), and hwy::Num0BitsBelowLS1Bit_Nonzero64().

Referenced by hwy::FunctionCache< RetType, Args >::ChooseAndCall().

## IsInitialized()

bool hwy::ChosenTarget::IsInitialized | ( |  | ) | const

inline

References LoadMask().

## LoadMask()

int64_t hwy::ChosenTarget::LoadMask | ( |  | ) | const

inline private

References mask_.

Referenced by GetIndex(), and IsInitialized().

## StoreMask()

void hwy::ChosenTarget::StoreMask | ( | int64_t | mask | ) |

inline private

References mask_.

Referenced by DeInit(), and Update().

## Update()

void hwy::ChosenTarget::Update | ( | int64_t | targets | ) |

inline

References HWY_CHOSEN_TARGET_MASK_SCALAR, HWY_CHOSEN_TARGET_SHIFT, and StoreMask().

Referenced by hwy::FunctionCache< RetType, Args >::ChooseAndCall().

## Member Data Documentation

## mask_

std::atomic<int64_t> hwy::ChosenTarget::mask_ {1}

private

Referenced by LoadMask(), and StoreMask().

The documentation for this struct was generated from the following file:

- targets.h